Bug 829438 - no double prompt for symmetric encryption
no double prompt for symmetric encryption
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
17
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 14:42 EDT by Don Swaner
Modified: 2013-08-01 00:02 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 00:02:27 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Don Swaner 2012-06-06 14:42:09 EDT
Description of problem:
If gnome keyring is turned off, when doing symmetric encryption, the pinentry program properly prompts for the passphrase TWICE. However, with gnome keyring active, there is only one prompt, so that if a typo is made in entering the passphrase, then the file cannot be unencrypted.

Version-Release number of selected component (if applicable):
gnome-keyring-daemon: 3.4.1

How reproducible:
Always.

Steps to Reproduce:
1.  Do gpg2 symmetric encryption with gnome-keyring active
2.
3.
  
Actual results:
Only one prompt for passphrase

Expected results:
Two prompts for passphrase

Additional info:
kernel 3.3.7-1.fc17.x86_64
gpg-agent (GnuPG) 2.0.18
pinentry-gtk2 0.8.1
Comment 1 Fedora Admin XMLRPC Client 2013-05-07 12:04:32 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Don Swaner 2013-05-07 12:45:54 EDT
This problem does not occur in Fedora 18.  In Fedora 18 symmetric encryption causes a double prompt even with gnome keyring active.
Comment 3 Petr Tuma 2013-05-07 15:41:13 EDT
I'm running Fedora 18 with current package versions and I observe the problem exactly as described above (gnome-keyring-3.6.3-1.fc18.x86_64, pinentry-gtk-0.8.1-8.fc18.x86_64, gnupg2-2.0.19-7.fc18.x86_64).
Comment 4 Don Swaner 2013-05-07 16:49:30 EDT
Correction: gpg (not gpg2) works properly in F18 with gnome keyring active.  Not sure which pinentry is invoked -- seems to be linked in with gpg  -- but it's the old fashioned non-gui, non-curses pinentry.  gpg2 in F18 isn't working for me either, but with a different problem.
Comment 5 Fedora End Of Life 2013-07-03 20:23:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 00:02:34 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.